Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 566014

Summary: seabios - packaging issues
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: seabiosAssignee: Justin M. Forbes <jforbes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 13CC: dan, jforbes, notting, rvokal, ville.skytta, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: seabios-0.5.1-2.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 553706 Environment:
Last Closed: 2010-04-21 21:56:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 553706    
Bug Blocks: 496968    

Description Bill Nottingham 2010-02-16 21:58:20 UTC
seabios-debuginfo is empty, $RPM_OPT_FLAGS are not used, and things appear to be explicitly stripped during build before find-debuginfo.sh has a chance of doing its job.  At least V=1 should be added to the make line in %build to make these apparent from build logs.

Maybe this package is special enough so usual -debuginfo stuff is not applicable (and if not, -debuginfo should be explicitly disabled).  But not honoring $RPM_OPT_FLAGS needs a comment in the specfile in case it's intentional, See bug 496968 for more info.

Comment 1 Bug Zapper 2010-03-15 15:08:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2010-04-20 20:29:45 UTC
seabios-0.5.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/seabios-0.5.1-2.fc12

Comment 3 Fedora Update System 2010-04-20 20:29:51 UTC
seabios-0.5.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seabios-0.5.1-2.fc13

Comment 4 Fedora Update System 2010-04-21 21:56:17 UTC
seabios-0.5.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-04-21 22:02:03 UTC
seabios-0.5.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.